/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "src/styles/openk.styles";

:host {
  display: block;
}

.text-block {
  display: flex;
  flex-direction: column;
  overflow-x: hidden;
  padding: 0.125em 0.375em;
  border: 1px dashed get-color($openk-default-palette, 900);
  border-radius: 6px;
  background-color: get-color($openk-default-palette);
}

.text-block--title-bar {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.text-block--title-bar--title {
  font-style: italic;
  margin-right: 0.2em;
  font-size: 0.8em;
}

.text-block--text {
  white-space: break-spaces;
  word-break: break-word;
}
